NSX Autonomous Edge REST API

Update an L2VPN session with new details for HCX

Updating an L2VPN Session can be performed only through this API
by providing the new values. Use of specific APIs to update the
L2VPN Session and the system-owned resources associated with it
is not allowed.

Request:

Method:
PUT
URI Path(s):
/vpn/l2vpn/sessions/{l2vpn-session-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
L2VPNSession+

Example Request:

PUT https://<ip>/api/v1/vpn/l2vpn/sessions/ { "display_name" : "L2VPN session for network extension", "encryptionless" : false, "tcp_mss_clamping" : true, "tcp_mss_value" : 1600, "id" : "36004fe6-f995-4e6f-b3ff-3c349915a040", "transport_tunnels" : [ { "local_address" : "10.10.10.1", "peer_address" : "20.20.20.1", "certificate_id" : "2b9bd96f-a8ff-4649-bb95-72594934ef0a", "trust_ca_ids" : ["998fdcd0-343c-499d-85eb-f99f68776282"], "peer_certificate" : "-----BEGIN CERTIFICATE-----\n----END CERTIFICATE-----\n", "multipath": false, "connection_initiation_mode" : "INITIATOR", "local_vti_ip" : "192.168.50.1/31" } ], "tunnel_encapsulation" : { "protocol" : "GRE", "local_endpoint_ip" : "169.254.64.1", "peer_endpoint_ip" : "169.254.64.2" } }

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
L2VPNSession+

Example Response:

{ "id" : "36004fe6-f995-4e6f-b3ff-3c349915a040", "display_name" : "L2VPN session for network extension", "encryptionless" : false, "tcp_mss_clamping" : true, "tcp_mss_value" : 1600, "transport_tunnels" : [ { "local_address" : "10.10.10.1", "peer_address" : "20.20.20.1", "peer_id" : "C = IN, ST = Karnataka, O = VCF, OU = BCM, CN = new", "multipath": false, "connection_initiation_mode" : "INITIATOR", "local_vti_ip" : "192.168.50.1/31", "ipsec_session_id" : "bb28d7e0-67af-4a6f-b64f-bc56ee401203" } ], "tunnel_encapsulation" : { "protocol" : "GRE", "local_endpoint_ip" : "169.254.64.1", "peer_endpoint_ip" : "169.254.64.2" }, "enabled" : true }

Required Permissions:

crud

Feature:

vpn

Additional Errors: